astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- AsdfSpec

# AsdfSpec

class asdf.versioning.AsdfSpec(*args, **kwargs)

  Bases: `SimpleSpec`

  Methods Summary

  `filter`(versions) | Filter an iterable of versions satisfying the Spec.
  `match`(version) | Check whether a Version satisfies the Spec.
  `select`(versions) | Select the best compatible version among an iterable of options.

  Methods Documentation

  filter(versions)

    Filter an iterable of versions satisfying the Spec.

  match(version)

    Check whether a Version satisfies the Spec.

  select(versions)

    Select the best compatible version among an iterable of options.